PHP Manual
Prev |  | Next

# fmod

(PHP 4 >= 4.2.0, PHP 5)

fmod -- Returns the floating point remainder (modulo) of the division of the arguments

## Description

float fmod ( float x, float y )

Returns the floating point remainder of dividing the dividend (`x`) by the divisor (`y`). The reminder (`r`) is defined as: x = i * y + r, for some integer `i`. If `y` is non-zero, `r` has the same sign as `x` and a magnitude less than the magnitude of `y`.

## Parameters

`x`

  The dividend

`y`

  The divisor

## Return Values

The floating point remainder of `x`/`y`

## Examples

Example 1. Using fmod()

`<?php $x = 5.7; $y = 1.3; $r = fmod($x, $y); // $r equals 0.5, because 4 * 1.3 + 0.5 = 5.7 ?>`

Prev | Home | Next
floor | Up | getrandmax